package com.qianhe.zqbf.controller;

import com.qianhe.common.core.controller.BaseController;
import com.qianhe.common.core.domain.AjaxResult;
import com.qianhe.common.core.page.TableDataInfo;
import com.qianhe.zqbf.domain.ZqbfXmzBfzjQuery;
import com.qianhe.zqbf.domain.ZqczXmzBfjl;
import com.qianhe.zqbf.domain.ZqczXmzBfjlQuery;
import com.qianhe.zqbf.service.ZqczXmzBfjlService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/zqbf/bfjl")
public class ZqczXmzBfjlController extends BaseController {
    @Autowired
    private ZqczXmzBfjlService zqczXmzBfjlService;

    /**
     * 分页查询
     */
    @GetMapping("/list")
    public AjaxResult list(ZqczXmzBfjlQuery zqczXmzBfjlQuery) {
        try {
            return success(zqczXmzBfjlService.list(zqczXmzBfjlQuery));
        } catch (Exception e) {
            log.error(e.getMessage());
            return error(e.getMessage());
        }
    }
}
